#!/usr/bin/env python
#   			Test/CellFactory.py 

"""
import bgl

g = bgl.Graph("biconnected_components.dot", bgl.file_kind.graphviz)
art_points = bgl.biconnected_components(g, g.get_edge_int_map("label"));
g.write_graphviz("biconnected_components_out.dot")

print "Articulation points: ",
node_id = g.get_vertex_string_map("node_id")
for v in art_points:
  print node_id[v],
  print " ",
print ""
"""


from bgl import *
g = Graph("biconnected_components.dot", file_kind.graphviz)
 
art_points = biconnected_components(g, g.get_edge_int_map("label"))
v_color = g.get_vertex_string_map("fillcolor") 
v_style = g.get_vertex_string_map("style") 
for v in g.vertices: 
  v_color[v] = "white" 
  v_style[v] = "filled"
for v in art_points:
  v_color[v] = "red"

g.write_graphviz("biconnected_components_out.dot")


class CellFactory:

  """
  
  :version:
  :author:
  """



