#!/usr/bin/perl -w
# Generate a passenger-centric LP to optimize an airline flight scedule
# Rowin Andruscavage
# ENCE 667 SP02 Dr. S. Gabriel
#
# 5/15/2003  Add input/output metrics for ENPM642 trade study
# 8/12/2005  Modularize and modify for arcology simulation transit optimization

require ("schedopt/schedopt.pm");

## initialize common variables based on preset parameters
if ($ARGV[0]) {  
    ## load initialization data from filename
    &initFile($ARGV[0]);
}
else {   
    &parametricInit;   # load parametric initialization
}


##
##  Create the optimization problem
##

&writeModel;	
